Đến nội dung


Hình ảnh
- - - - -

Lisp cắt đoạn thẳng tại 1 điểm


  • Please log in to reply
5 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 14 November 2009 - 08:08 AM

Trên diễn đàn có lisp cắt 1 đoạn thẳng tại 1 điểm, bác nào nhanh mắt tìm giúp em với, Em tìm mãi ko thấy.
Tức là lisp này cho phép cắt đoạn thẳng thành 2 phần riêng biệt nhau !
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 November 2009 - 08:29 AM

Trên diễn đàn có lisp cắt 1 đoạn thẳng tại 1 điểm, bác nào nhanh mắt tìm giúp em với, Em tìm mãi ko thấy.
Tức là lisp này cho phép cắt đoạn thẳng thành 2 phần riêng biệt nhau !

Bạn thử cái này nhé :

(defun c:brf()
(command "break" (car(entsel"\n Select an object :"))
(getpoint "\n Break point :") "@")
(princ)
)

  • 3

#3 huyhuong

huyhuong

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 14 November 2009 - 08:55 AM

Bạn thử cái này nhé :

(defun c:brf()
(command "break" (car(entsel"\n Select an object :"))
(getpoint "\n Break point :") "@")
(princ)
)


bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc
  • 0

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 14 November 2009 - 09:13 AM

bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc

Cỉcle khi ngắt ra thì thành arc mà arc thì không chịu có điểm đầu và cuối trùng nhau.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 November 2009 - 09:17 AM

bac có thể nâng cấp nên cho cắt cả đường tròn được không. vì em thử với Line, pline, arc, spl thì ok nhưng với đường tròn ( Circle) thì không đươc

Không được. Đường tròn là một arc có góc ở tâm bằng 360 độ. Và khi thực hiện lệnh Break tại 1 điểm CAD đã báo lỗi rằng : Arc cannot be full 360 degrees

Command: _break Select object:
Specify second break point or [First point]: _f
Specify first break point:
Specify second break point: @
Arc cannot be full 360 degrees
  • 1

#6 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 14 November 2009 - 09:18 AM

Cỉcle khi ngắt ra thì thành arc mà arc thì không chịu có điểm đầu và cuối trùng nhau.

Lisp chạy tốt lắm nhưng mà ko cắt được đường tròn thật ! hjc ! lúc nào tìm ra giải pháp thì bác Tuệ chỉnh cho diễn đàn lun nhé !
  • 0
Hoàng Giang